Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcavmlt.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcavmlt.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcavmlt.F90	(revision 12511)
@@ -17,5 +17,5 @@
 
    USE dom_oce                            ! ocean space and time domain
-   USE phycst , ONLY: rcp, rau0, rau0_rcp ! physical constants
+   USE phycst , ONLY: rcp, rho0, rho0_rcp ! physical constants
    USE eosbn2 , ONLY: eos_fzp             ! equation of state
 
@@ -161,5 +161,5 @@
       !
       ! compute ocean-ice heat flux and then derive fwf assuming that ocean heat flux equal latent heat
-      pqfwf(:,:) = - pgt(:,:) * rau0_rcp * zthd(:,:) / rLfusisf    ! fresh water flux  ( > 0 out )
+      pqfwf(:,:) = - pgt(:,:) * rho0_rcp * zthd(:,:) / rLfusisf    ! fresh water flux  ( > 0 out )
       pqoce(:,:) = - pqfwf(:,:) * rLfusisf                         ! ocea-ice flux     ( > 0 out )
       pqhc (:,:) =   pqfwf(:,:) * ztfrz(:,:) * rcp                 ! heat content flux ( > 0 out )
@@ -213,6 +213,6 @@
          !
          ! compute coeficient to solve the 2nd order equation
-         zeps1 = rau0_rcp * pgt(ji,jj)
-         zeps2 = rLfusisf * rau0 * pgs(ji,jj)
+         zeps1 = rho0_rcp * pgt(ji,jj)
+         zeps2 = rLfusisf * rho0 * pgs(ji,jj)
          zeps3 = rhoisf * rcpisf * rkappa / MAX(risfdep(ji,jj),zeps)
          zeps4 = risf_lamb2 + risf_lamb3 * risfdep(ji,jj)
@@ -238,6 +238,6 @@
          !
          ! compute the upward water and heat flux (eq. 24 and eq. 26)
-         pqfwf(ji,jj) = rau0     * pgs(ji,jj) * ( zsfrz - pstbl(ji,jj) ) / MAX(zsfrz,zeps) ! fresh water flux    (> 0 out)
-         pqoce(ji,jj) = rau0_rcp * pgt(ji,jj) * zthd (ji,jj)                               ! ocean-ice heat flux (> 0 out)
+         pqfwf(ji,jj) = rho0     * pgs(ji,jj) * ( zsfrz - pstbl(ji,jj) ) / MAX(zsfrz,zeps) ! fresh water flux    (> 0 out)
+         pqoce(ji,jj) = rho0_rcp * pgt(ji,jj) * zthd (ji,jj)                               ! ocean-ice heat flux (> 0 out)
          pqhc (ji,jj) = rcp      * pqfwf(ji,jj) * ztfrz(ji,jj)                             ! heat content   flux (> 0 out)
          !
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcpl.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcpl.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfcpl.F90	(revision 12511)
@@ -68,5 +68,5 @@
       !
       ! start on an euler time step
-      neuler = 0
+      l_1st_euler = .TRUE.
       ! 
       ! allocation and initialisation to 0
@@ -502,5 +502,5 @@
       ! compute run length
       nstp_iscpl  = nitend - nit000 + 1
-      rdt_iscpl   = nstp_iscpl * rn_rdt
+      rdt_iscpl   = nstp_iscpl * rn_Dt
       z1_rdtiscpl = 1._wp / rdt_iscpl 
 
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfdynatf.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfdynatf.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfdynatf.F90	(revision 12511)
@@ -13,5 +13,5 @@
    USE isf_oce
 
-   USE phycst , ONLY: r1_rau0         ! physical constant
+   USE phycst , ONLY: r1_rho0         ! physical constant
    USE dom_oce, ONLY: tmask, ssmask, ht, e3t, r1_e1e2t   ! time and space domain
 
@@ -39,5 +39,5 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout) :: pe3t_f   ! time filtered scale factor to be corrected
       !
-      REAL(wp)                        , INTENT(in   ) :: pcoef    ! atfp * rdt * r1_rau0
+      REAL(wp)                        , INTENT(in   ) :: pcoef    ! rn_atfp * rn_Dt * r1_rho0
       !!--------------------------------------------------------------------
       INTEGER :: jk  ! loop index
@@ -70,5 +70,5 @@
       REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in   ) :: pfrac, phtbl    ! fraction of bottom cell included in tbl, tbl thickness
       REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in   ) :: pfwf , pfwf_b   ! now/before fwf
-      REAL(wp),                         INTENT(in   ) :: pcoef           ! atfp * rdt * r1_rau0
+      REAL(wp),                         INTENT(in   ) :: pcoef           ! rn_atfp * rn_Dt * r1_rho0
       !!----------------------------------------------------------------------
       INTEGER :: ji,jj,jk
@@ -77,5 +77,5 @@
       !
       ! compute fwf conservation correction
-      zfwfinc(:,:) = pcoef * ( pfwf_b(:,:) - pfwf(:,:) ) / ( ht(:,:) + 1._wp - ssmask(:,:) ) * r1_rau0
+      zfwfinc(:,:) = pcoef * ( pfwf_b(:,:) - pfwf(:,:) ) / ( ht(:,:) + 1._wp - ssmask(:,:) ) * r1_rho0
       !
       ! add the increment
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfhdiv.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfhdiv.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfhdiv.F90	(revision 12511)
@@ -16,5 +16,5 @@
 
    USE dom_oce                ! time and space domain
-   USE phycst , ONLY: r1_rau0 ! physical constant
+   USE phycst , ONLY: r1_rho0 ! physical constant
    USE in_out_manager         !
 
@@ -96,5 +96,5 @@
       !
       ! compute integrated divergence correction
-      zhdiv(:,:) = 0.5_wp * ( pfwf(:,:) + pfwf_b(:,:) ) * r1_rau0 / phtbl(:,:)
+      zhdiv(:,:) = 0.5_wp * ( pfwf(:,:) + pfwf_b(:,:) ) * r1_rho0 / phtbl(:,:)
       !
       ! update divergence at each level affected by ice shelf top boundary layer
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfpar.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfpar.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfpar.F90	(revision 12511)
@@ -24,5 +24,5 @@
    USE dom_oce  , ONLY: bathy          ! ocean space and time domain
    USE par_oce  , ONLY: jpi,jpj        ! ocean space and time domain
-   USE phycst   , ONLY: r1_rau0_rcp    ! physical constants
+   USE phycst   , ONLY: r1_rho0_rcp    ! physical constants
    !
    USE in_out_manager ! I/O manager
@@ -88,5 +88,5 @@
       !
       ! set temperature content
-      ptsc(:,:,jp_tem) = zqh(:,:) * r1_rau0_rcp
+      ptsc(:,:,jp_tem) = zqh(:,:) * r1_rho0_rcp
       !
       ! write restart variables (qoceisf, qhcisf, fwfisf for now and before)
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfparmlt.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfparmlt.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ISF/isfparmlt.F90	(revision 12511)
@@ -13,5 +13,5 @@
    USE dom_oce                  ! ocean space and time domain
    USE oce    , ONLY: ts        ! ocean dynamics and tracers
-   USE phycst , ONLY: rcp, rau0 ! physical constants
+   USE phycst , ONLY: rcp, rho0 ! physical constants
    USE eosbn2 , ONLY: eos_fzp   ! equation of state
 
@@ -148,5 +148,5 @@
       !
       ! 2. ------------Net heat flux and fresh water flux due to the ice shelf
-      pqoce(:,:) =   rau0 * rcp * rn_gammat0 * risfLeff(:,:) * e1t(:,:) * ( ztavg(:,:) - ztfrz(:,:) ) * r1_e1e2t(:,:)
+      pqoce(:,:) =   rho0 * rcp * rn_gammat0 * risfLeff(:,:) * e1t(:,:) * ( ztavg(:,:) - ztfrz(:,:) ) * r1_e1e2t(:,:)
       pqfwf(:,:) = - pqoce(:,:) / rLfusisf             ! derived from the latent heat flux
       pqhc (:,:) =   pqfwf(:,:) * ztfrz(:,:) * rcp     ! heat content flux 
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldfdyn.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldfdyn.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldfdyn.F90	(revision 12511)
@@ -407,5 +407,5 @@
             zcmsmag   = (rn_csmc/rpi)**2                                            ! (C_smag/pi)^2
             zstabf_lo = rn_minfac * rn_minfac / ( 2._wp * 12._wp * 12._wp * zcmsmag ) ! lower limit stability factor scaling
-            zstabf_up = rn_maxfac / ( 4._wp * zcmsmag * 2._wp * rdt )               ! upper limit stability factor scaling
+            zstabf_up = rn_maxfac / ( 4._wp * zcmsmag * 2._wp * rn_Dt )               ! upper limit stability factor scaling
             IF( ln_dynldf_blp ) zstabf_lo = ( 16._wp / 9._wp ) * zstabf_lo          ! provide |U|L^3/12 lower limit instead 
             !                                                                       ! of |U|L^3/16 in blp case
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldftra.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldftra.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/LDF/ldftra.F90	(revision 12511)
@@ -820,5 +820,5 @@
       !
       IF( iom_use('weiv_masstr') ) THEN   ! vertical mass transport & its square value
-         zw2d(:,:) = rau0 * e1e2t(:,:)
+         zw2d(:,:) = rho0 * e1e2t(:,:)
          DO jk = 1, jpk
             zw3d(:,:,jk) = zw3d(:,:,jk) * zw2d(:,:)
@@ -830,10 +830,10 @@
          zw3d(:,:,:) = 0.e0
          DO jk = 1, jpkm1
-            zw3d(:,:,jk) = rau0 * ( psi_uw(:,:,jk+1) - psi_uw(:,:,jk) ) 
+            zw3d(:,:,jk) = rho0 * ( psi_uw(:,:,jk+1) - psi_uw(:,:,jk) ) 
          END DO
          CALL iom_put( "ueiv_masstr", zw3d )                  ! mass transport in i-direction
       ENDIF
       !
-      zztmp = 0.5_wp * rau0 * rcp 
+      zztmp = 0.5_wp * rho0 * rcp 
       IF( iom_use('ueiv_heattr') .OR. iom_use('ueiv_heattr3d') ) THEN
         zw2d(:,:)   = 0._wp 
@@ -853,5 +853,5 @@
          zw3d(:,:,:) = 0.e0
          DO jk = 1, jpkm1
-            zw3d(:,:,jk) = rau0 * ( psi_vw(:,:,jk+1) - psi_vw(:,:,jk) ) 
+            zw3d(:,:,jk) = rho0 * ( psi_vw(:,:,jk+1) - psi_vw(:,:,jk) ) 
          END DO
          CALL iom_put( "veiv_masstr", zw3d )                  ! mass transport in i-direction
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/diaobs.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/diaobs.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/diaobs.F90	(revision 12511)
@@ -539,5 +539,5 @@
       ENDIF
 
-      idaystp = NINT( rday / rdt )
+      idaystp = NINT( rday / rn_Dt )
 
       !-----------------------------------------------------------------------
@@ -774,5 +774,5 @@
          & rday
       USE dom_oce, ONLY : &           ! Ocean space and time domain variables
-         & rdt
+         & rn_Dt
 
       IMPLICIT NONE
@@ -805,5 +805,5 @@
       !! Compute number of days + number of hours + min since initial time
       !!----------------------------------------------------------------------
-      zdayfrc = kstp * rdt / rday
+      zdayfrc = kstp * rn_Dt / rday
       zdayfrc = zdayfrc - aint(zdayfrc)
       imin = imin + int( zdayfrc * 24 * 60 ) 
@@ -816,5 +816,5 @@
         iday=iday+1
       END DO 
-      iday = iday + kstp * rdt / rday 
+      iday = iday + kstp * rn_Dt / rday 
 
       !-----------------------------------------------------------------------
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/obs_prep.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/obs_prep.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/OBS/obs_prep.F90	(revision 12511)
@@ -613,5 +613,5 @@
       !! * Modules used
       USE dom_oce, ONLY : &  ! Geographical information
-         & rdt
+         & rn_Dt
       USE phycst, ONLY : &   ! Physical constants
          & rday,  &             
@@ -662,5 +662,5 @@
 
       ! Intialize the number of time steps per day
-      idaystp = NINT( rday / rdt )
+      idaystp = NINT( rday / rn_Dt )
 
       !---------------------------------------------------------------------
@@ -732,5 +732,5 @@
 
          ! Add in the number of time steps to the observation minute
-         zminstp = rmmss / rdt
+         zminstp = rmmss / rn_Dt
          zhoustp = rhhmm * zminstp
 
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/fldread.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/fldread.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/fldread.F90	(revision 12511)
@@ -172,8 +172,8 @@
       ! Note that all varibles starting by nsec_* are shifted time by +1/2 time step to be centrered
       IF( PRESENT(kit) ) THEN   ! ignore kn_fsbc in this case
-         isecsbc = nsec_year + nsec1jan000 + NINT( (     REAL(      kit,wp) + zt_offset ) * rdt / REAL(nn_baro,wp) )
+         isecsbc = nsec_year + nsec1jan000 + NINT( (     REAL(      kit,wp) + zt_offset ) * rn_Dt / REAL(nn_e,wp) )
       ELSE                      ! middle of sbc time step
          ! note: we use kn_fsbc-1 because nsec_year is defined at the middle of the current time step
-         isecsbc = nsec_year + nsec1jan000 + NINT( ( 0.5*REAL(kn_fsbc-1,wp) + zt_offset ) * rdt )
+         isecsbc = nsec_year + nsec1jan000 + NINT( ( 0.5*REAL(kn_fsbc-1,wp) + zt_offset ) * rn_Dt )
       ENDIF
       imf = SIZE( sd )
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbc_ice.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbc_ice.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbc_ice.F90	(revision 12511)
@@ -70,5 +70,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   wndm_ice       !: wind speed module at T-point                 [m/s]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   sstfrz         !: wind speed module at T-point                 [m/s]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tsfc_ice       !: sea ice surface skin temperature (on categories)
 #endif
 
@@ -132,5 +131,5 @@
          &      qemp_ice(jpi,jpj)     , qevap_ice(jpi,jpj,jpl) , qemp_oce   (jpi,jpj)     ,   &
          &      qns_oce (jpi,jpj)     , qsr_oce  (jpi,jpj)     , emp_oce    (jpi,jpj)     ,   &
-         &      emp_ice (jpi,jpj)     , tsfc_ice (jpi,jpj,jpl) , sstfrz     (jpi,jpj)     , STAT= ierr(2) )
+         &      emp_ice (jpi,jpj)     , sstfrz   (jpi,jpj)     , STAT= ierr(2) )
 #endif
 
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcapr.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcapr.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcapr.F90	(revision 12511)
@@ -36,5 +36,5 @@
    
    REAL(wp) ::   tarea                ! whole domain mean masked ocean surface
-   REAL(wp) ::   r1_grau              ! = 1.e0 / (grav * rau0)
+   REAL(wp) ::   r1_grau              ! = 1.e0 / (grav * rho0)
    
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_apr   ! structure of input fields (file informations, fields read)
@@ -98,5 +98,5 @@
       ENDIF
       !
-      r1_grau = 1.e0 / (grav * rau0)               !* constant for optimization
+      r1_grau = 1.e0 / (grav * rho0)               !* constant for optimization
       !
       !                                            !* control check
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk.F90	(revision 12511)
@@ -259,4 +259,7 @@
       IF( ierror > 0 )   CALL ctl_stop( 'STOP', 'sbc_blk_init: unable to allocate sf structure' )
       !
+      !                                      !- fill the bulk structure with namelist informations
+      CALL fld_fill( sf, slf_i, cn_dir, 'sbc_blk_init', 'surface boundary condition -- bulk formulae', 'namsbc_blk' )
+      !
       DO jfpr= 1, jpfld
          !
@@ -269,17 +272,15 @@
                &      jfpr == jp_hpgi .OR. jfpr == jp_hpgj .OR. jfpr == jp_tair     )  ) THEN   ! ABL: some fields are 3D input
                ALLOCATE( sf(jfpr)%fnow(jpi,jpj,jpka) )
-               IF( slf_i(jfpr)%ln_tint )   ALLOCATE( sf(jfpr)%fdta(jpi,jpj,jpka,2) )
+               IF( sf(jfpr)%ln_tint )   ALLOCATE( sf(jfpr)%fdta(jpi,jpj,jpka,2) )
             ELSE                                                                                ! others or Bulk fields are 2D fiels
                ALLOCATE( sf(jfpr)%fnow(jpi,jpj,1) )
-               IF( slf_i(jfpr)%ln_tint )   ALLOCATE( sf(jfpr)%fdta(jpi,jpj,1,2) )
+               IF( sf(jfpr)%ln_tint )   ALLOCATE( sf(jfpr)%fdta(jpi,jpj,1,2) )
             ENDIF
             !
-            IF( slf_i(jfpr)%freqh > 0. .AND. MOD( NINT(3600. * slf_i(jfpr)%freqh), nn_fsbc * NINT(rdt) ) /= 0 )   &
-               &  CALL ctl_warn( 'sbc_blk_init: sbcmod timestep rdt*nn_fsbc is NOT a submultiple of atmospheric forcing frequency.',   &
-               &                 '               This is not ideal. You should consider changing either rdt or nn_fsbc value...' )
+            IF( sf(jfpr)%freqh > 0. .AND. MOD( NINT(3600. * sf(jfpr)%freqh), nn_fsbc * NINT(rn_Dt) ) /= 0 )   &
+               &  CALL ctl_warn( 'sbc_blk_init: sbcmod timestep rn_Dt*nn_fsbc is NOT a submultiple of atmospheric forcing frequency.',   &
+               &                 '               This is not ideal. You should consider changing either rn_Dt or nn_fsbc value...' )
          ENDIF
       END DO
-      !                                      !- fill the bulk structure with namelist informations
-      CALL fld_fill( sf, slf_i, cn_dir, 'sbc_blk_init', 'surface boundary condition -- bulk formulae', 'namsbc_blk' )
       !
       IF( ln_wave ) THEN
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_coare.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_coare.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_coare.F90	(revision 12511)
@@ -199,5 +199,5 @@
          ! Okay test on updated absorbed flux:
          !#LB: remove??? has a strong influence !!!
-         IF( (.NOT. l_exit).AND.(Qnt_ac(ji,jj) + zQabs*rdt <= 0._wp) ) THEN
+         IF( (.NOT. l_exit).AND.(Qnt_ac(ji,jj) + zQabs*rn_Dt <= 0._wp) ) THEN
             l_exit       = .TRUE.
             l_destroy_wl = .TRUE.
@@ -211,5 +211,5 @@
             ! 2/ Regardless of WL formed (dT==0 or dT>0), we are in the process to initiate one or warm further it !
 
-            ztac = Tau_ac(ji,jj) + MAX(.002_wp , pTau(ji,jj))*rdt      ! updated momentum integral
+            ztac = Tau_ac(ji,jj) + MAX(.002_wp , pTau(ji,jj))*rn_Dt      ! updated momentum integral
             !PRINT *, '#LBD: updated value for Tac=',  REAL(ztac,4)
 
@@ -218,5 +218,5 @@
             DO jl = 1, 5
                zQabs = frac_solar_abs(zHwl)*pQsw(ji,jj) + pQnsol(ji,jj)
-               zqac  = Qnt_ac(ji,jj) + zQabs*rdt ! updated heat absorbed
+               zqac  = Qnt_ac(ji,jj) + zQabs*rn_Dt ! updated heat absorbed
                IF( zqac <= 0._wp ) EXIT
                zHwl = MAX( MIN( Hwl_max , zcd1*ztac/SQRT(zqac)) , 0.1_wp ) ! Warm-layer depth
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_ecmwf.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_ecmwf.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcblk_skin_ecmwf.F90	(revision 12511)
@@ -214,5 +214,5 @@
          zcst2 = zcst1 / ( 5._wp*zHwl*zusw2 )  !OR: zcst2 = zcst1*rNuwl0 / ( 5._wp*zHwl*zusw2 ) ???
 
-         zcst0 = rdt * (rNuwl0 + 1._wp) / zHwl
+         zcst0 = rn_Dt * (rNuwl0 + 1._wp) / zHwl
 
          ZA = zcst0 * zQabs / ( rNuwl0 * zRhoCp_w )
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbccpl.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbccpl.F90	(revision 12511)
@@ -193,5 +193,5 @@
 
    REAL(wp) ::   rpref = 101000._wp   ! reference atmospheric pressure[N/m2] 
-   REAL(wp) ::   r1_grau              ! = 1.e0 / (grav * rau0) 
+   REAL(wp) ::   r1_grau              ! = 1.e0 / (grav * rho0) 
 
    INTEGER , ALLOCATABLE, SAVE, DIMENSION(:) ::   nrcvinfo           ! OASIS info argument
@@ -1123,5 +1123,5 @@
       !                                                      ! Receive all the atmos. fields (including ice information)
       !                                                      ! ======================================================= !
-      isec = ( kt - nit000 ) * NINT( rdt )                      ! date of exchanges
+      isec = ( kt - nit000 ) * NINT( rn_Dt )                      ! date of exchanges
       DO jn = 1, jprcv                                          ! received fields sent by the atmosphere
          IF( srcv(jn)%laction )   CALL cpl_rcv( jn, isec, frcv(jn)%z3, xcplmask(:,:,1:nn_cplmodel), nrcvinfo(jn) )
@@ -1250,5 +1250,5 @@
           IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields 
 
-          r1_grau = 1.e0 / (grav * rau0)               !* constant for optimization 
+          r1_grau = 1.e0 / (grav * rho0)               !* constant for optimization 
           ssh_ib(:,:) = - ( frcv(jpr_mslp)%z3(:,:,1) - rpref ) * r1_grau    ! equivalent ssh (inverse barometer) 
           apr   (:,:) =     frcv(jpr_mslp)%z3(:,:,1)                         !atmospheric pressure 
@@ -2100,5 +2100,5 @@
       !!----------------------------------------------------------------------
       !
-      isec = ( kt - nit000 ) * NINT( rdt )        ! date of exchanges
+      isec = ( kt - nit000 ) * NINT( rn_Dt )        ! date of exchanges
 
       zfr_l(:,:) = 1.- fr_i(:,:)
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcdcy.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcdcy.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcdcy.F90	(revision 12511)
@@ -86,6 +86,6 @@
       ! --------------
       ! When are we during the day (from 0 to 1)
-      zlo = ( REAL(nsec_day, wp) - 0.5_wp * rdt ) / rday
-      zup = zlo + ( REAL(nn_fsbc, wp)     * rdt ) / rday
+      zlo = ( REAL(nsec_day, wp) - 0.5_wp * rn_Dt ) / rday
+      zup = zlo + ( REAL(nn_fsbc, wp)     * rn_Dt ) / rday
       !
       IF( nday_qsr == -1 ) THEN       ! first time step only
@@ -251,5 +251,5 @@
          END_2D
          !
-         ztmp = rday / ( rdt * REAL(nn_fsbc, wp) )
+         ztmp = rday / ( rn_Dt * REAL(nn_fsbc, wp) )
          rscal(:,:) = rscal(:,:) * ztmp
          !
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcfwb.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcfwb.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcfwb.F90	(revision 12511)
@@ -126,9 +126,9 @@
          ENDIF   
          !                                         ! Update fwfold if new year start
-         ikty = 365 * 86400 / rdt                  !!bug  use of 365 days leap year or 360d year !!!!!!!
+         ikty = 365 * 86400 / rn_Dt                  !!bug  use of 365 days leap year or 360d year !!!!!!!
          IF( MOD( kt, ikty ) == 0 ) THEN
             a_fwb_b = a_fwb                           ! mean sea level taking into account the ice+snow
                                                       ! sum over the global domain
-            a_fwb   = glob_sum( 'sbcfwb', e1e2t(:,:) * ( ssh(:,:,Kmm) + snwice_mass(:,:) * r1_rau0 ) )
+            a_fwb   = glob_sum( 'sbcfwb', e1e2t(:,:) * ( ssh(:,:,Kmm) + snwice_mass(:,:) * r1_rho0 ) )
             a_fwb   = a_fwb * 1.e+3 / ( area * rday * 365. )     ! convert in Kg/m3/s = mm/s
 !!gm        !                                                      !!bug 365d year 
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcice_cice.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcice_cice.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcice_cice.F90	(revision 12511)
@@ -13,5 +13,5 @@
    USE dom_oce         ! ocean space and time domain
    USE domvvl
-   USE phycst, only : rcp, rau0, r1_rau0, rhos, rhoi
+   USE phycst, only : rcp, rho0, r1_rho0, rhos, rhoi
    USE in_out_manager  ! I/O manager
    USE iom, ONLY : iom_put,iom_use              ! I/O manager library !!Joakim edit
@@ -228,6 +228,6 @@
       IF( .NOT.ln_rstart ) THEN
          IF( ln_ice_embd ) THEN            ! embedded sea-ice: deplete the initial ssh below sea-ice area
-            ssh(:,:,Kmm) = ssh(:,:,Kmm) - snwice_mass(:,:) * r1_rau0
-            ssh(:,:,Kbb) = ssh(:,:,Kbb) - snwice_mass(:,:) * r1_rau0
+            ssh(:,:,Kmm) = ssh(:,:,Kmm) - snwice_mass(:,:) * r1_rho0
+            ssh(:,:,Kbb) = ssh(:,:,Kbb) - snwice_mass(:,:) * r1_rho0
 
 !!gm This should be put elsewhere....   (same remark for limsbc)
@@ -417,5 +417,5 @@
 ! Freezing/melting potential
 ! Calculated over NEMO leapfrog timestep (hence 2*dt)
-      nfrzmlt(:,:) = rau0 * rcp * e3t_m(:,:) * ( Tocnfrz-sst_m(:,:) ) / ( 2.0*dt )
+      nfrzmlt(:,:) = rho0 * rcp * e3t_m(:,:) * ( Tocnfrz-sst_m(:,:) ) / ( 2.0*dt )
 
       ztmp(:,:) = nfrzmlt(:,:)
@@ -450,5 +450,5 @@
          zintb = REAL( nn_fsbc + 1 ) / REAL( nn_fsbc ) * 0.5_wp
           !
-         zpice(:,:) = ssh_m(:,:) + (  zintn * snwice_mass(:,:) +  zintb * snwice_mass_b(:,:)  ) * r1_rau0
+         zpice(:,:) = ssh_m(:,:) + (  zintn * snwice_mass(:,:) +  zintb * snwice_mass_b(:,:)  ) * r1_rho0
           !
          !
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcmod.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcmod.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcmod.F90	(revision 12511)
@@ -187,7 +187,7 @@
       !
       IF( .NOT.ln_usr ) THEN     ! the model calendar needs some specificities (except in user defined case)
-         IF( MOD( rday , rdt ) /= 0. )   CALL ctl_stop( 'the time step must devide the number of second of in a day' )
+         IF( MOD( rday , rn_Dt ) /= 0. )   CALL ctl_stop( 'the time step must devide the number of second of in a day' )
          IF( MOD( rday , 2.  ) /= 0. )   CALL ctl_stop( 'the number of second of in a day must be an even number'    )
-         IF( MOD( rdt  , 2.  ) /= 0. )   CALL ctl_stop( 'the time step (in second) must be an even number'           )
+         IF( MOD( rn_Dt  , 2.  ) /= 0. )   CALL ctl_stop( 'the time step (in second) must be an even number'           )
       ENDIF
       !                       !**  check option consistency
@@ -309,6 +309,6 @@
       !     SAS time-step has to be declared in OASIS (mandatory) -> nn_fsbc has to be modified accordingly
       IF( nn_components /= jp_iam_nemo ) THEN
-         IF( nn_components == jp_iam_opa )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rdt)
-         IF( nn_components == jp_iam_sas )   nn_fsbc = cpl_freq('I_SFLX') / NINT(rdt)
+         IF( nn_components == jp_iam_opa )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rn_Dt)
+         IF( nn_components == jp_iam_sas )   nn_fsbc = cpl_freq('I_SFLX') / NINT(rn_Dt)
          !
          IF(lwp)THEN
@@ -331,8 +331,8 @@
       ENDIF
       !
-      IF( MOD( rday, REAL(nn_fsbc, wp) * rdt ) /= 0 )   &
+      IF( MOD( rday, REAL(nn_fsbc, wp) * rn_Dt ) /= 0 )   &
          &  CALL ctl_warn( 'sbc_init : nn_fsbc is NOT a multiple of the number of time steps in a day' )
       !
-      IF( ln_dm2dc .AND. NINT(rday) / ( nn_fsbc * NINT(rdt) ) < 8  )   &
+      IF( ln_dm2dc .AND. NINT(rday) / ( nn_fsbc * NINT(rn_Dt) ) < 8  )   &
          &   CALL ctl_warn( 'sbc_init : diurnal cycle for qsr: the sampling of the diurnal cycle is too small...' )
       !
Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcrnf.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcrnf.F90	(revision 12499)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/SBC/sbcrnf.F90	(revision 12511)
@@ -137,18 +137,18 @@
          !                                                           ! set temperature & salinity content of runoffs
          IF( ln_rnf_tem ) THEN                                       ! use runoffs temperature data
-            rnf_tsc(:,:,jp_tem) = ( sf_t_rnf(1)%fnow(:,:,1) ) * rnf(:,:) * r1_rau0
+            rnf_tsc(:,:,jp_tem) = ( sf_t_rnf(1)%fnow(:,:,1) ) * rnf(:,:) * r1_rho0
             CALL eos_fzp( sss_m(:,:), ztfrz(:,:) )
             WHERE( sf_t_rnf(1)%fnow(:,:,1) == -999._wp )             ! if missing data value use SST as runoffs temperature
-               rnf_tsc(:,:,jp_tem) = sst_m(:,:) * rnf(:,:) * r1_rau0
+               rnf_tsc(:,:,jp_tem) = sst_m(:,:) * rnf(:,:) * r1_rho0
             END WHERE
          ELSE                                                        ! use SST as runoffs temperature
             !CEOD River is fresh water so must at least be 0 unless we consider ice
-            rnf_tsc(:,:,jp_tem) = MAX( sst_m(:,:), 0.0_wp ) * rnf(:,:) * r1_rau0
+            rnf_tsc(:,:,jp_tem) = MAX( sst_m(:,:), 0.0_wp ) * rnf(:,:) * r1_rho0
          ENDIF
          !                                                           ! use runoffs salinity data
-         IF( ln_rnf_sal )   rnf_tsc(:,:,jp_sal) = ( sf_s_rnf(1)%fnow(:,:,1) ) * rnf(:,:) * r1_rau0
+         IF( ln_rnf_sal )   rnf_tsc(:,:,jp_sal) = ( sf_s_rnf(1)%fnow(:,:,1) ) * rnf(:,:) * r1_rho0
          !                                                           ! else use S=0 for runoffs (done one for all in the init)
                                          CALL iom_put( 'runoffs'     , rnf(:,:)                         )   ! output runoff mass flux
-         IF( iom_use('hflx_rnf_cea') )   CALL iom_put( 'hflx_rnf_cea', rnf_tsc(:,:,jp_tem) * rau0 * rcp )   ! output runoff sensible heat (W/m2)
+         IF( iom_use('hflx_rnf_cea') )   CALL iom_put( 'hflx_rnf_cea', rnf_tsc(:,:,jp_tem) * rho0 * rcp )   ! output runoff sensible heat (W/m2)
       ENDIF
       !
@@ -210,5 +210,5 @@
             DO_2D_11_11
                DO jk = 1, nk_rnf(ji,jj)
-                  phdivn(ji,jj,jk) = phdivn(ji,jj,jk) - ( rnf(ji,jj) + rnf_b(ji,jj) ) * zfact * r1_rau0 / h_rnf(ji,jj)
+                  phdivn(ji,jj,jk) = phdivn(ji,jj,jk) - ( rnf(ji,jj) + rnf_b(ji,jj) ) * zfact * r1_rho0 / h_rnf(ji,jj)
                END DO
             END_2D
@@ -221,5 +221,5 @@
                !                          ! apply the runoff input flow
                DO jk = 1, nk_rnf(ji,jj)
-                  phdivn(ji,jj,jk) = phdivn(ji,jj,jk) - ( rnf(ji,jj) + rnf_b(ji,jj) ) * zfact * r1_rau0 / h_rnf(ji,jj)
+                  phdivn(ji,jj,jk) = phdivn(ji,jj,jk) - ( rnf(ji,jj) + rnf_b(ji,jj) ) * zfact * r1_rho0 / h_rnf(ji,jj)
                END DO
             END_2D
@@ -227,5 +227,5 @@
       ELSE                       !==   runoff put only at the surface   ==!
          h_rnf (:,:)   = e3t (:,:,1,Kmm)        ! update h_rnf to be depth of top box
-         phdivn(:,:,1) = phdivn(:,:,1) - ( rnf(:,:) + rnf_b(:,:) ) * zfact * r1_rau0 / e3t(:,:,1,Kmm)
+         phdivn(:,:,1) = phdivn(:,:,1) - ( rnf(:,:) + rnf_b(:,:) ) * zfact * r1_rho0 / e3t(:,:,1,Kmm)
       ENDIF
       !
